## org.eclipse.uml2.uml
Interface QualifierValue

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface QualifierValue

extends Element

A representation of the model object 'Qualifier Value'. A qualifier value is not an action. It is an element that identifies links. It gives a single qualifier within a link end data specification.

The following features are supported:

- `Qualifier`
- `Value`

See Also:
  `UMLPackage.getQualifierValue()`

Method Summary
`Property` `getQualifier()` Returns the value of the 'Qualifier' reference
`InputPin` `getValue()` Returns the value of the 'Value' reference
`void` `setQualifier(Property value)` Sets the value of the '`Qualifier`' reference
`void` `setValue(InputPin value)` Sets the value of the '`Value`' reference
`boolean` `validateMultiplicityOfQualifier(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The multiplicity of the qualifier value input pin is "1..1".
`boolean` `validateQualifierAttribute(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The qualifier attribute must be a qualifier of the association end of the link-end data.
`boolean` `validateTypeOfQualifier(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The type of the qualifier value input pin is the same as the type of the qualifier attribute.

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getQualifier

    Property getQualifier()

  Returns the value of the 'Qualifier' reference. Attribute representing the qualifier for which the value is to be specified.

  Returns:
    the value of the 'Qualifier' reference.
  See Also:
    `setQualifier(Property)`, `UMLPackage.getQualifierValue_Qualifier()`

### setQualifier

    void setQualifier(Property value)

  Sets the value of the '`Qualifier`' reference.

  Parameters:
    `value` - the new value of the 'Qualifier' reference.
  See Also:
    `getQualifier()`

### getValue

    InputPin getValue()

  Returns the value of the 'Value' reference. Input pin from which the specified value for the qualifier is taken.

  Returns:
    the value of the 'Value' reference.
  See Also:
    `setValue(InputPin)`, `UMLPackage.getQualifierValue_Value()`

### setValue

    void setValue(InputPin value)

  Sets the value of the '`Value`' reference.

  Parameters:
    `value` - the new value of the 'Value' reference.
  See Also:
    `getValue()`

### validateQualifierAttribute

    boolean validateQualifierAttribute(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map<java.lang.Object,java.lang.Object> context)

  The qualifier attribute must be a qualifier of the association end of the link-end data. self.LinkEndData.end->collect(qualifier)->includes(self.qualifier)

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateTypeOfQualifier

    boolean validateTypeOfQualifier(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

  The type of the qualifier value input pin is the same as the type of the qualifier attribute. self.value.type = self.qualifier.type

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateMultiplicityOfQualifier

    boolean validateMultiplicityOfQualifier(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

  The multiplicity of the qualifier value input pin is "1..1". self.value.multiplicity.is(1,1)

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.